.post-wrap {
  display: flex;
  flex-direction: column;
  padding: 1rem 1rem 0 1rem;

  .post-top-row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 0.5rem;

    .profile-wrap {
      display: flex;
      flex-direction: row;
      align-items: center;
      .profile-img-wrap {
        margin-right: 0.5rem;

        img {
          object-fit: cover;
          border-radius: 50%;
          width: 30px;
        }
      }
      .username {
      }
    }
  }

  .title-wrap {
    display: flex;
    flex-direction: row;
    // align-items: center;
    .title-text {
      margin-right: 1rem;
      width: 100%;
      display: flex;
      flex-direction: column;
      .post-title {
        margin: 0 0 0.5rem 0;
        color: var(--dark-purple);
        font-weight: 600;
        font-size: 18px;
      }
    }

    .post-image-wrap {
      width: 40%;
      height: 100%;
      text-align: center;
      img {
        width: 100%;
        object-fit: cover;
      }
    }
  }

  .time-date-wrap {
    color: var(--purple);
    display: flex;
    flex-direction: row;
    align-items: center;
    font-size: 14px;
    .icon-wrap {
      display: flex;
      align-items: center;
      margin-right: 0.3rem;

      svg {
        width: 15px;
        fill: var(--purple);
      }
    }
  }

  .content {
    margin: 1rem 0;
    color: var(--gray);
  }

  .reaction-row {
    margin-right: 2rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    color: var(--dark-purple);
    font-size: 14px;

    .going-container {
      margin-right: 2rem;
      display: flex;
      flex-direction: row;
      .icon-wrap {
        display: flex;
        align-items: center;
        margin-right: 0.3rem;

        svg {
          width: 15px;
          fill: var(--lime);
        }
      }
    }
    .like-container {
      margin-right: 2rem;
      display: flex;
      flex-direction: row;
      color: var(--dark-purple);
      .icon-wrap {
        display: flex;
        align-items: center;
        margin-right: 0.3rem;

        svg {
          width: 15px;
          fill: var(--red);
        }
      }
    }
  }

  .post-bottom-line {
    margin-top: 1rem;
    width: 100%;
    border: 1px solid var(--ash);
  }
}
